%define major 0
%define minor 40
%define fix 0

Name:           pixman
Version:        %{major}.%{minor}.%{fix}
Release: 2
Summary:        Pixel manipulation library
License:        MIT
URL:            http://pixman.org/
Source0:        https://www.x.org/archive/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: pkg-config
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libpng-devel
BuildRequires: libtool

%description
Pixman is a pixel manipulation library for X and cairo.


%package -n libpixman-1-%{major}
Summary: Pixman library
Conflicts: libpixman%{major}
Obsoletes: libpixman%{major}

%description -n libpixman-1-%{major}
Contains pixman library files


%package devel
Summary: Pixel manipulation library development package
Requires: libpixman-1-%{major} = %{version}-%{release}

%description devel
Development library for %{name}.


%prep
%setup -q

%build
autoreconf -fiv
%configure \
    CPPFLAGS="-pthread" \
    LDFLAGS="-pthread -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    --disable-gtk
%make_build

%check
make check

%install
%make_install

%files -n libpixman-1-%{major}
%defattr(-, qsys, *none)
%{_libdir}/libpixman-1.so.%{major}

%files devel
%defattr(-, qsys, *none)
%{_includedir}/pixman-1
%{_libdir}/libpixman-1.so
%{_libdir}/pkgconfig/pixman-1.pc

%changelog
* Tue Mar 30 2021 Kevin Adler <kadler@us.ibm.com> - 0.40.0
- Move obsoletes to correct package

* Tue Jan 19 2021 Vasili-Skurydzin <vasili.skurydzin@ibm.com> - 0.40.0
- Minor corrections to build in an IBM environment
- Style correction to comply with IBM i OSS rpm-specs repo files
- Bump version

* Tue Jul 30 2019 Calvin Buckley <calvin@cmpct.info> - 0.38.4-1
- Bump version
- Fix source path and website URL
- Fix threads and dep chain

* Mon Mar 25 2019 Calvin Buckley <calvin@cmpct.info> - 0.38.0-1
- Update to latest pixman.
- De-AIXify package for PASE. This uses Rochester conventions now.

* Fri Feb 22 2013 Michael Perzl <michael@perzl.org> - 0.28.2-1
- updated to version 0.28.2

* Tue Nov 27 2012 Michael Perzl <michael@perzl.org> - 0.28.0-1
- updated to version 0.28.0

* Mon Aug 20 2012 Michael Perzl <michael@perzl.org> - 0.26.2-1
- updated to version 0.26.2

* Sun Jun 03 2012 Michael Perzl <michael@perzl.org> - 0.26.0-1
- updated to version 0.26.0

* Thu Feb 23 2012 Michael Perzl <michael@perzl.org> - 0.24.4-1
- updated to version 0.24.4

* Thu Oct 06 2011 Michael Perzl <michael@perzl.org> - 0.22.2-1
- updated to version 0.22.2

* Wed Jan 12 2011 Michael Perzl <michael@perzl.org> - 0.21.2-1
- updated to version 0.21.2

* Wed Nov 03 2010 Michael Perzl <michael@perzl.org> - 0.20.0-1
- updated to version 0.20.0

* Tue Sep 07 2010 Michael Perzl <michael@perzl.org> - 0.19.2-1
- updated to version 0.19.2

* Tue Sep 07 2010 Michael Perzl <michael@perzl.org> - 0.18.4-1
- updated to version 0.18.4

* Tue Sep 07 2010 Michael Perzl <michael@perzl.org> - 0.17.14-1
- updated to version 0.17.14

* Fri Feb 26 2010 Michael Perzl <michael@perzl.org> - 0.17.8-1
- updated to version 0.17.8

* Thu Feb 25 2010 Michael Perzl <michael@perzl.org> - 0.17.6-1
- updated to version 0.17.6

* Thu Nov 26 2009 Michael Perzl <michael@perzl.org> - 0.17.2-1
- updated to version 0.17.2

* Mon Nov 16 2009 Michael Perzl <michael@perzl.org> - 0.16.2-1
- updated to version 0.16.2

* Wed Sep 23 2009 Michael Perzl <michael@perzl.org> - 0.16.0-1
- updated to version 0.16.0

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 0.15.12-1
- updated to version 0.15.12

* Fri Sep 26 2008 Michael Perzl <michael@perzl.org> - 0.12.0-1
- updated to version 0.12.0

* Fri Jun 20 2008 Michael Perzl <michael@perzl.org> - 0.11.4-1
- updated to version 0.11.4

* Tue Jun 17 2008 Michael Perzl <michael@perzl.org> - 0.11.2-1
- updated to version 0.11.2

* Wed May 21 2008 Michael Perzl <michael@perzl.org> - 0.10.0-1
- first version for AIX V5.1 and higher
